PTX(1)

NOMBRE
ptx - crea un índice permutado del contenido de un archivo

SINOPSIS
ptx [OPCIÓN]... [ENTRADA]... (sin -G)
ptx -G [OPCIÓN]... [ENTRADA [SALIDA]]

DESCRIPCIÓN

Crea un índice permutado, con su contexto, de las palabras en los archivo dados.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-A, --auto-reference
    muestra las referencias generadas automáticamente

-G, --traditional
    hace que su ejecución se asemeje más a la versión de 'ptx' de System V.

-F, --flag-truncation=CADENA
    emplea CADENA para marcar los cortes de línea. Por defecto emplea '/'

-M, --macro-name=CADENA
    se emplea CADENA como nombre para la macro en lugar de 'xx'

-O, --format=roff
    la salida serán directivas roff

-R, --right-side-refs
    sitúa las referencias a la derecha, no contabilizado en -w

-S, --sentence-regexp=REGEXP
    para el fin de línea o de frase

-T, --format=tex
    la salida serán directivas TeX

-W, --word-regexp=REGEXP
    emplea la expresión regular REGEXP para concordar con cada palabra clave

-b, --break-file=ARCHIVO
    caracteres de separación de palabras en este ARCHIVO

-f, --ignore-case
    ordena sin distinguir mayúsculas y minúsculas

-g, --gap-size=NÚMERO
    tamaño en columnas del intervalo entre campos

-i, --ignore-file=ARCHIVO
    toma la lista de palabras a ignorar de este ARCHIVO

-o, --only-file=ARCHIVO
    toma las palabras a considerar de este archivo

-r, --references
    el primer campo de cada línea es una referencia

-t, --typeset-mode - sin implementar -

-w, --width=NÚMERO
    ancho de las columnas que se muestran, sin considerar la referencia

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

AUTOR
Escrito por F. Pinard.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/ptx>
también disponible localmente ejecutando: info '(coreutils) ptx invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.